{
    "name": "kankan-components",
    "private": true,
    "description": "a collection of 4dkankan components",
    "workspaces": [
        "packages/*",
        "apps/*"
    ],
    "scripts": {
        "clean": "pnpm run -r clean",
        "test": "vitest",
        "test:coverage": "vitest --coverage",
        "lint": "eslint . --ext .vue,.js,.ts,.jsx,.tsx,.md,.json --max-warnings 0 --cache",
        "lint:fix": "pnpm run lint --fix",
        "commit": "git cz",
        "preinstall": "npx only-allow pnpm",
        "changeset": "changeset",
        "version-packages": "changeset version",
        "play": "pnpm -C playground dev",
        "docs:dev": "pnpm run -C docs dev",
        "stub": "pnpm run -r --parallel stub",
        "build": "pnpm run -C internal/build start",
        "build:theme": "pnpm run -C packages/theme-chalk build",
        "prepare": "husky install",
        "postinstall": "pnpm stub && concurrently  \"pnpm run -C internal/metadata dev\"",
        "typecheck": "run-p typecheck:web  typecheck:node",
        "typecheck:web": "vue-tsc -p tsconfig.web.json --composite false --noEmit",
        "typecheck:node": "tsc -p tsconfig.node.json --noEmit"
    },
    "peerDependencies": {
        "vue": "^3.2.0"
    },
    "dependencies": {
        "@kankan-components/components": "workspace:*",
        "@kankan-components/constants": "workspace:*",
        "@kankan-components/hooks": "workspace:*",
        "@kankan-components/theme-chalk": "workspace:*",
        "@kankan-components/tokens": "workspace:*",
        "@kankan-components/utils": "workspace:*",
        "@vueuse/core": "^9.12.0",
        "lodash": "^4.17.21",
        "lodash-es": "^4.17.21",
        "lodash-unified": "^1.0.3",
        "vue": "^3.2.47"
    },
    "devDependencies": {
        "@changesets/cli": "^2.26.0",
        "@commitlint/cli": "^17.4.2",
        "@kankan-components/build": "workspace:*",
        "@kankan-components/build-utils": "workspace:*",
        "@kankan-components/eslint-config": "workspace:*",
        "@pnpm/find-workspace-packages": "^4.0.43",
        "@pnpm/logger": "^4.0.0",
        "@pnpm/types": "^8.10.0",
        "@types/fs-extra": "^9.0.13",
        "@types/gulp": "^4.0.10",
        "@types/jsdom": "^16.2.15",
        "@types/node": "^18.11.18",
        "@types/sass": "^1.43.1",
        "@typescript-eslint/eslint-plugin": "^5.50.0",
        "@vitejs/plugin-vue": "^3.2.0",
        "@vitejs/plugin-vue-jsx": "^2.1.1",
        "@vue/test-utils": "^2.2.10",
        "commitizen": "^4.3.0",
        "commitlint-config-cz": "^0.13.3",
        "concurrently": "^7.6.0",
        "cz-customizable": "^7.0.0",
        "eslint": "~8.23.1",
        "eslint-config-prettier": "^8.6.0",
        "eslint-define-config": "^1.15.0",
        "eslint-plugin-import": "~2.26.0",
        "eslint-plugin-jest": "^25.7.0",
        "eslint-plugin-prettier": "^4.2.1",
        "eslint-plugin-vue": "^8.7.1",
        "husky": "^8.0.3",
        "jest": "^29.4.1",
        "jsdom": "16.4.0",
        "lint-staged": "^13.1.0",
        "resize-observer-polyfill": "^1.5.1",
        "sass": "^1.58.0",
        "typescript": "~4.7.4",
        "unplugin-vue-components": "^0.20.1",
        "unplugin-vue-macros": "^0.11.2",
        "vitest": "^0.23.4"
    },
    "config": {
        "commitizen": {
            "path": "cz-customizable"
        }
    },
    "lint-staged": {
        "*.{vue,js,ts,jsx,tsx,mts,json}": [
            "eslint --fix"
        ]
    }
}
